AtomCollectionRenderer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.rest.render.atom
[Groovy] Class AtomCollectionRenderer

    java.lang.Object
      grails.rest.render.AbstractRenderer
          grails.rest.render.AbstractIncludeExcludeRenderer
              grails.rest.render.util.AbstractLinkingRenderer
                  grails.rest.render.hal.HalXmlRenderer
                      grails.rest.render.atom.AtomRenderer
                          grails.rest.render.atom.AtomCollectionRenderer

All Implemented Interfaces:
  ContainerRenderer

    class AtomCollectionRenderer
    extends AtomRenderer

An Atom XML renderer for a collection of objects

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from class AtomRenderer
ATOM_DATE_FORMAT, ATOM_NAMESPACE, DEFAULT_ATOM_MIME_TYPES, ENTRY_TAG, FEED_TAG, ID_DATE_FORMAT, ID_TAG, MIME_TYPE, PUBLISHED_TAG, RELATIONSHIP_ALTERNATE, UPDATED_TAG, XMLNS_ATTRIBUTE

Fields inherited from class HalXmlRenderer
LINK_TAG, MIME_TYPE, RELATIONSHIP_ATTRIBUTE, RESOURCE_TAG

Fields inherited from class AbstractLinkingRenderer
DEFAULT_EXCLUDES, DEPRECATED_ATTRIBUTE, HREFLANG_ATTRIBUTE, HREF_ATTRIBUTE, RELATIONSHIP_SELF, TEMPLATED_ATTRIBUTE, TITLE_ATTRIBUTE, TYPE_ATTRIBUTE

Property Summary
`java.lang.Class` | `componentType`

Constructor Summary
`AtomCollectionRenderer(java.lang.Class componentType)`

Method Summary

Methods inherited from class AtomRenderer
formatAtomDate, formatDateCreated, formatLastUpdated, generateIdForURI, getObjectId, renderInternal, writeDomainWithEmbeddedAndLinks

Methods inherited from class HalXmlRenderer
renderInternal, startResourceTag, startResourceTagForCurrentPath, writeDomainProperty, writeDomainWithEmbeddedAndLinks, writeLink

Methods inherited from class AbstractLinkingRenderer
getLinkTitle, getLinksForObject, getResourceTitle, isDomainResource, render, renderInternal, writeAssociationLinks, writeDomain, writeDomainProperty, writeExtraLinks, writeLink

Methods inherited from class AbstractIncludeExcludeRenderer
excludesProperty, includesProperty, shouldIncludeProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### componentType

    final java.lang.Class componentType

Constructor Detail

### AtomCollectionRenderer

    AtomCollectionRenderer(java.lang.Class componentType)

Groovy Documentation